"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d759940>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d7599e0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d759a80>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d759b20>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d759bc0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d759c60>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d759d00>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d759da0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d759e40>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d759ee0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d759f80>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75a020>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75a0c0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75a160>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75a200>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75a2a0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75a340>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75a3e0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75a480>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75a520>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75a5c0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75a660>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75a700>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75a7a0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75a840>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75a8e0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75a980>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75aa20>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75aac0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75ab60>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75ac00>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75aca0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75ad40>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75ade0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75ae80>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75af20>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75afc0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75b060>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75b100>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75b1a0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75b240>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75b2e0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75b380>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75b420>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75b4c0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75b560>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75b600>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75b6a0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75b740>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75b7e0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75b880>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75b920>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75b9c0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75ba60>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75bb00>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75bba0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75bc40>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75bce0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75bd80>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75be20>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75bec0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5d75bf60>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5bfa8040>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5bfa80e0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5bfa8180>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5bfa8220>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5bfa82c0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5bfa8360>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5bfa8400>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5bfa84a0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5bfa8540>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5bfa85e0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5bfa8680>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5bfa8720>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5bfa87c0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5bfa8860>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5bfa8900>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5bfa89a0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5bfa8a40>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5bfa8ae0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5bfa8b80>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5bfa8cc0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5bfa8c20>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5bfa8d60>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5bfa8e00>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c5bfa8ea0>)]
name: str = 'fr_HOCCN'
